<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.tenlionsoft.baselib">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.EXPAND_STATUS_BAR" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_HISTORY_BOOKMARKS" />

    <application
        android:maxAspectRatio="2.4"
        android:resizeableActivity="true">
        <activity
            android:name=".core.widget.TakeVideoActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" /> <!-- 适配华为（huawei）刘海屏 -->
        <meta-data
            android:name="android.notch_support"
            android:value="true" /> <!-- 适配小米（xiaomi）刘海屏 -->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />

        <activity
            android:name=".core.widget.PhotoActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@style/FadeAnimActivity"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".utils.PermissionUtils$PermissionActivity"
            android:theme="@style/translucent" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <service android:name=".core.network.update.service.DownloadService" />
    </application>

</manifest>